Page MenuHomePhabricator

prometheus-based graph significantly slower than statsd equivalent
Closed, ResolvedPublic

Description

The prometheus-based graph prometheus-varnish-aggregate-client-status-code, is significantly slower than the statsd-based varnish-aggregate-client-status-code, which it aims to replace.

Event Timeline

ema created this task.Dec 19 2018, 4:17 PM
Restricted Application added a project: Operations. · View Herald TranscriptDec 19 2018, 4:17 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
ema triaged this task as Normal priority.Dec 19 2018, 4:18 PM
ema moved this task from Triage to Watching on the Traffic board.Jan 4 2019, 1:30 PM
CDanis added a subscriber: CDanis.Jan 9 2019, 3:26 PM

Is this basically the same as T190992?

Anyway I'm making all the 'slow prometheus query' tasks sub-tasks of the prometheus 2.x upgrade T187987 as that includes a ton of improvements to the query engine and backing store.

ema added a comment.Mar 26 2019, 9:22 AM

Anyway I'm making all the 'slow prometheus query' tasks sub-tasks of the prometheus 2.x upgrade T187987 as that includes a ton of improvements to the query engine and backing store.

This is incredible! I've tried the dashboard again with prometheus 2 and it's now very snappy and responsive. I'm gonna play with it a little longer before closing the bug but I wanted to share my initial excitement.

ema closed this task as Resolved.Apr 1 2019, 4:01 PM
ema claimed this task.